Page MenuHomePhabricator

Introduce temporary element on Special:Block UI to invite users to participate in the Partial Block consultation
Closed, ResolvedPublic

Description

We want to encourage more Wikimedians to talk about T2674: Allow users to be blocked from editing a specific article or all articles inside a namespace on https://meta.wikimedia.org/wiki/Community_health_initiative/Per-user_page,_namespace,_and_upload_blocking

We can add a temporary (7 days maximum) UI element to Special:Block that invites people to the project page. We will want to translate this to our top languages to encourage a diverse group of participants.

Here's a (extremely rudimentary) illustration of a potential UI element:


Acceptance criteria
  • On Special:Block a [TBD UI element] should appear. It should be unintrusive and not interrupt usage of the block tool.
  • The text displayed should be: There is a discussion about changing this blocking tool. See the designs, read why, and join the discussion here.
    • Should display in the user's language preference
  • here should link to https://meta.wikimedia.org/wiki/Community_health_initiative/Per-user_page,_namespace,_and_upload_blocking
  • A close button, when clicked should make the element disappear & be remembered to not appear again on that device
  • The UI element should only appear on all Wikimedia wikis for 7 days then be disabled permanently

Details

Related Gerrit Patches:
mediawiki/core : masterAdd SpecialBlockTest to test SpecialBlock
mediawiki/extensions/WikimediaMessages : masterAdd a request for feedback on proposed changes to SpecialBlock.
mediawiki/extensions/WikimediaMessages : wmf/1.32.0-wmf.14Escape Special:Block Feedback Request Message
mediawiki/extensions/WikimediaMessages : masterEscape Special:Block Feedback Request Message
mediawiki/core : masterAdd a request for feedback on proposed changes to SpecialBlock.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
TBolliger renamed this task from Invite users to talk about granular blocks to Invite users to talk about partial blocks.Jun 12 2018, 10:31 PM
TBolliger renamed this task from Invite users to talk about partial blocks to Introduce temporary element on Special:Block UI to invite users to participate in the Partial Block consultation.Jun 29 2018, 5:28 PM
TBolliger updated the task description. (Show Details)
Restricted Application added a subscriber: MGChecker. · View Herald TranscriptJun 29 2018, 5:28 PM
TBolliger removed SPoore as the assignee of this task.Jun 29 2018, 5:46 PM
TBolliger added a subscriber: SPoore.

@kaldari & @Mooeypoo I think this would just be a little snippet of JavaScript, but where would it go? I can't imagine that it would go in core. Is there some other place we would put this?

This needs to go on all Wikimedia wikis, so it will need to be translated and deployed.

@alexhollender — Can you please help us decide on the UI element & look and feel for this? Even though this is temporary we still want it to be up to our standards of excellence. Thank you!

Vvjjkkii renamed this task from Introduce temporary element on Special:Block UI to invite users to participate in the Partial Block consultation to 29caaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Vachovec1 renamed this task from 29caaaaaaa to Introduce temporary element on Special:Block UI to invite users to participate in the Partial Block consultation.Jul 1 2018, 3:39 PM
Vachovec1 raised the priority of this task from High to Needs Triage.

@TBolliger maybe something like this?

dbarratt claimed this task.Jul 2 2018, 3:58 PM

@kaldari & @Mooeypoo I think this would just be a little snippet of JavaScript, but where would it go? I can't imagine that it would go in core. Is there some other place we would put this?
This needs to go on all Wikimedia wikis, so it will need to be translated and deployed.

I've been thinking about this, and since the changes we are proposing would be changes to core (which effects everyone, not just Wikimedia), then I think we should add it to core (behind a config flag?) but remove it before the next version of MediaWiki is released.

@TBolliger maybe something like this?

I like it! Do you think it needs some sort of "close" icon?

SPoore added a comment.Jul 2 2018, 6:14 PM

@dbarratt @alexhollender @TBolliger

We talked about this last week and agreed that the wording needs to be changed to lose the "we" to make it more reflective of the participatory design and research approach that we're using.

We talked about this last week and agreed that the wording needs to be changed to lose the "we" to make it more reflective of the participatory design and research approach that we're using.

@SPoore sounds good. Wondering how to phrase this? "There's a discussion happening about improvements to this blocking tool. Come check out the designs and join in"? Open to whatever you think makes sense.

Do you think it needs some sort of "close" icon?

@dbarratt What's your thinking here? I'm not sure it's necessary given that this will only be up for a week, however I'm not opposed to it.

SPoore added a comment.Jul 2 2018, 6:33 PM

@alexhollender "There's a discussion happening about improvements to this blocking tool. Come check out the designs and join in" is perfect. There needs to be a link to discussion on meta at the end.

Do you think it needs some sort of "close" icon?

@dbarratt What's your thinking here? I'm not sure it's necessary given that this will only be up for a week, however I'm not opposed to it.

It's in the acceptance criteria:

A close button, when clicked should make the element disappear & be remembered to not appear again on that device

However, since your design isn't covering anything up, I don't think it's strictly necessary and it's less work for me. :)

Change 443536 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/core@master] Add SpecialBlockTest to test SpecialBlock

https://gerrit.wikimedia.org/r/443536

Change 443648 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/core@master] Add a request for feedback on proposed changes to SpecialBlock.

https://gerrit.wikimedia.org/r/443648

cmadeo added a subscriber: cmadeo.Jul 3 2018, 5:58 PM
dbarratt moved this task from In progress to Review on the Anti-Harassment (AHT Sprint 25) board.EditedJul 6 2018, 2:52 AM

This is what I've got so far. @alexhollender, I eye-balled the spacing and used em's.


Also, for some reason it looks like there is no space between the emoji and the text string in the screenshot, but it is there and looks fine on my computer.

dbarratt added a subscriber: MaxSem.Jul 7 2018, 4:01 AM

This is WMF specific so it shouldn't be in the core at all.

I don't think it's WMF specific at all. The changes we are proposing will be made to core.
However, if it shouldn't be in core, where should it be?

In #wikimedia-commtech

davidwbarratt: MaxSem should I make a whole new extension for this?
MaxSem: WikimediaMessages or something ;)
davidwbarratt: MaxSem ah! thank you! I asked on the phab ticket and I didn't get a response so I just put it in core, but I can move it

Unless someone disagrees, I'll move forward with moving this into WikimediaMessages.

MaxSem added a comment.Jul 7 2018, 4:32 AM

I also had an afterthought about doing this as a CentralNotice campaign.

I also had an afterthought about doing this as a CentralNotice campaign.

Yeah I looked into it, but it doesn't look like you can target a specific Special page.

MaxSem added a comment.Jul 7 2018, 4:51 AM

mw.config.get( 'wgCanonicalSpecialPageName' ) === 'Block'

mw.config.get( 'wgCanonicalSpecialPageName' ) === 'Block'

Ah! I see. I didn't realize you could add JavaScript to it.

I also had an afterthought about doing this as a CentralNotice campaign.

I tested this out locally, and I noticed that I couldn't get it to show up on a Special page (even with no JavaScript in the banner), digging into the code I found this:
https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/extensions/CentralNotice/%2B/a9e91c9edf52ec2a8befcbceacc29131655f05c2/CentralNotice.hooks.php#174

So it looks like WikimediaMessages it is, unless you have another suggestion?

Change 444639 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/extensions/WikimediaMessages@master] Add a request for feedback on proposed changes to SpecialBlock.

https://gerrit.wikimedia.org/r/444639

Change 443648 abandoned by Dbarratt:
Add a request for feedback on proposed changes to SpecialBlock.

Reason:
Moved into WikimediaMessages

https://gerrit.wikimedia.org/r/443648

@MaxSem & @Mooeypoo I noticed that there is no way to get the pre text within an extension, so I created T199115 to fix that, and I used reflection within WikimediaMessages if that patch hasn't been committed yet. There's a test that tests it with and without the new method.

This is what I've got so far. @alexhollender, I eye-balled the spacing and used em's

@dbarratt looking great!

This all looks good. Great job everyone!

Let's try to get this tested, reviewed, deployed, and enabled on wikis as soon as possible — it blocks the rest of our work on the Partial Block project.

@TBolliger I've made the changes requested by @MaxSem & @Mooeypoo. This included swapping the icon for one in OOUI

You can see it here:
https://commtech.wmflabs.org/wiki/Special:Block

But here's a screenshot for everyone else. 😃

Looks good! I gave it a test on my machine on Commtech wiki.

Change 444639 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add a request for feedback on proposed changes to SpecialBlock.

https://gerrit.wikimedia.org/r/444639

dbarratt added a comment.EditedJul 17 2018, 9:43 AM

@TBolliger & @SPoore This feature will start rolling out today and be global by Thursday, when would you like it to be enabled? (It can be enabled/disabled during any SWAT deploy starting now).

This is already translated on 10+ languages. Let's enable on Thursday, July 19 and disable on Monday July 23.

We can always enable it again later if need be after Wikimania.

dbarratt closed this task as Resolved.Jul 26 2018, 5:53 PM

Change 449177 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/extensions/WikimediaMessages@master] Escape Special:Block Feedback Request Message

https://gerrit.wikimedia.org/r/449177

Change 449177 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Escape Special:Block Feedback Request Message

https://gerrit.wikimedia.org/r/449177

Change 449258 had a related patch set uploaded (by Thcipriani; owner: Dbarratt):
[mediawiki/extensions/WikimediaMessages@wmf/1.32.0-wmf.14] Escape Special:Block Feedback Request Message

https://gerrit.wikimedia.org/r/449258

Change 449258 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@wmf/1.32.0-wmf.14] Escape Special:Block Feedback Request Message

https://gerrit.wikimedia.org/r/449258

Mentioned in SAL (#wikimedia-operations) [2018-07-30T18:57:55Z] <thcipriani@deploy1001> Synchronized php-1.32.0-wmf.14/extensions/WikimediaMessages/WikimediaMessages.hooks.php: SWAT: [[gerrit:449177|Escape Special:Block Feedback Request Message]] T194301 (duration: 00m 49s)

Change 443536 abandoned by Dbarratt:
Add SpecialBlockTest to test SpecialBlock

https://gerrit.wikimedia.org/r/443536